FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 04-18-2008, 11:50 AM
Alan McKinnon
 
Default alsa-plugins emerge failure

On Friday 18 April 2008, Walter Dnes wrote:
> I don't know if this is relevant, but I just recovered from
> unmerging coreutils, which I promise never ever to do again<G>. Now
> that I have things working again, and revdep-rebuild says I'm OK. I
> went back and re-ran "emerge --ask --deep --update --world". It's
> dieing on the last item, namely alsa-plugins. Here is the message
> and I've also attached the config.log file as directed below...
>
> ================================================== ==================
> checking dynamic linker characteristics... GNU/Linux ld.so
> (cached) (cached) checking how to hardcode library paths into
> programs... immediate
> checking for ANSI C header files... (cached) yes
> checking for i686-pc-linux-gnu-pkg-config... no
> checking for pkg-config... /usr/bin/pkg-config
> checking pkg-config is at least version 0.9.0... yes
> checking for ALSA... yes
> checking for snd_pcm_ioplug_create in -lasound... no
> configure: error: *** libasound has no external plugin SDK

libasound comes from package alsa-lib. So, what's the output from these
commands (assuming you have eix installed):

eix alsa-lib
eix alsa-plugins
emerge --info

I don't have alsa-plugins myself and have never needed it. Are you sure
you need it?

--
Alan McKinnon
alan dot mckinnon at gmail dot com

--
gentoo-user@lists.gentoo.org mailing list
 
Old 04-18-2008, 10:38 PM
"Walter Dnes"
 
Default alsa-plugins emerge failure

On Fri, Apr 18, 2008 at 01:50:22PM +0200, Alan McKinnon wrote
> On Friday 18 April 2008, Walter Dnes wrote:

> > checking for ALSA... yes
> > checking for snd_pcm_ioplug_create in -lasound... no
> > configure: error: *** libasound has no external plugin SDK
>
> libasound comes from package alsa-lib. So, what's the output from these
> commands (assuming you have eix installed):
>
> eix alsa-lib
> eix alsa-plugins
> emerge --info
>
> I don't have alsa-plugins myself and have never needed it. Are you sure
> you need it?

Thanks for the pointer to eix. I did the spelunking you suggested,
and more. First item is that I re-emerged alsa-lib, and got the
following warning...

* Messages for package media-libs/alsa-lib-1.0.16:

* You haven't selected _any_ PCM plugins. Either you set it to
* something like the default
* (which is being set in the profile UNLESS you unset them) or alsa
* based applications
* are going to *misbehave* !

Note that after running into some "helpful defaults" a few years ago
(*hack* *kaff* IPV6 *hack* *kaff*) I ended up inserting "-*" at the
beginning of my USE variable. I have quite a bit of stuff in the USE
variable, but it's there only because it provides features I want/need
or because an app I want/need complains about missing something. Is
this one of those cases? I should probably solve this first.

About alsa-plugins... is it required for MP3 or streaming MP3? If
not I'll consider unmerging it.

--
Walter Dnes <waltdnes@waltdnes.org>
Stop the Squeegee Kids in Pinstripe Suits
Fight SAC's Canadian internet tax http://walterdnes.wordpress.com
--
gentoo-user@lists.gentoo.org mailing list
 

Thread Tools




All times are GMT. The time now is 08:49 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org